# $Revision: 1.18 $, $Date: 2011/09/11 14:31:35 $
%define	pre	pre4
Summary:	Automated program generator
Summary(pl.UTF-8):	Zautomatyzowany generator programów
Name:		autogen
Version:	5.13.0
Release:	0.%{pre}.1
License:	GPL v.2/BSD/LGPL
Group:		Development
Source0:	http://autogen.sourceforge.net/data/%{name}-%{version}%{pre}.tar.xz
# Source0-md5:	86f80b060d82ab1069043b3478df195f
URL:		http://autogen.sourceforge.net/
BuildRequires:	guile-devel
BuildRequires:	libltdl-devel
BuildRequires:	libxml2-devel
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
AutoGen is a tool designed for generating program files that contain
repetitive text with varied substitutions. Its goal is to simplify the
maintenance of programs that contain large amounts of repetitious
text. This is especially valuable if there are several blocks of such
text that must be kept synchronized in parallel tables.

%description -l pl.UTF-8
AutoGen to narzędzie zaprojektowane do generowania plików programów
zawierających powtarzający się tekst z różnymi podstawieniami. Celem
projektu jest uproszczenie zarządzania programów zawierających duże
ilości powtórzonego tekstu. Jest szczególnie wartościowy jeśli jest
kilka bloków takiego tekstu, które muszą być synchronizowane
równolegle.

%package devel
Summary:	Header files for autogen
Summary(pl.UTF-8):	Pliki nagłówkowe dla autogen
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for autogen.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla autogen.

%package static
Summary:	Static autogen library
Summary(pl.UTF-8):	Statyczna biblioteka autogen
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static autogen library.

%description static -l pl.UTF-8
Statyczna biblioteka autogen.

%prep
%setup -q -n %{name}-%{version}%{pre}

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_pkgconfigdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_datadir}/pkgconfig/autoopts.pc $RPM_BUILD_ROOT%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%postun
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%{_datadir}/%{name}
%{_infodir}/autogen.info*
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/autoopts
%{_aclocaldir}/*.m4
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: autogen.spec,v $
Revision 1.18  2011/09/11 14:31:35  arekm
- up to 5.13 (pre as stable doesn't support guile 2.x)

Revision 1.17  2011/09/11 14:05:18  arekm
- release 2

Revision 1.16  2007/06/18 14:53:57  rotom
- up to 5.9

Revision 1.15  2007/02/12 21:23:48  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:48:39  baggins
- converted to UTF-8

Revision 1.13  2007/01/08 21:21:39  rotom
- up to 5.8.8

Revision 1.12  2007/01/01 08:49:40  pluto
- rebuild with new guile soname, release 2.

Revision 1.11  2006/10/10 11:02:54  megabajt
- up to 5.8.6

Revision 1.10  2006/08/19 05:56:55  freetz
- 5.8.5

Revision 1.9  2006/08/03 17:25:54  pluto
- updated to 5.8.4.

Revision 1.8  2006/01/06 22:46:58  freetz
- 5.8

Revision 1.7  2005/10/30 20:08:21  darekr
- unify sf URL

Revision 1.6  2005/10/30 20:00:40  freetz
- 5.7.3

Revision 1.5  2005/08/14 22:45:24  freetz
- 5.7.2

Revision 1.4  2005/06/06 20:54:49  pluto
- BR += libltdl-devel.

Revision 1.3  2005/05/16 19:33:27  qboosh
- pl, unified a little

Revision 1.2  2005/05/15 16:26:18  freetz
- changed source url main sf dl page

Revision 1.1  2005/05/15 16:23:02  freetz
- initial
